package com.kingdee.eas.hr.project;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.hr.project.app.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class ProjectManagement extends HRBillBase implements IProjectManagement
{
    public ProjectManagement()
    {
        super();
        registerInterface(IProjectManagement.class, this);
    }
    public ProjectManagement(Context ctx)
    {
        super(ctx);
        registerInterface(IProjectManagement.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("B15489DB");
    }
    private ProjectManagementController getController() throws BOSException
    {
        return (ProjectManagementController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ProjectManagementCollection getProjectManagementCollection() throws BOSException
    {
        try {
            return getController().getProjectManagementCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ProjectManagementCollection getProjectManagementCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getProjectManagementCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ProjectManagementCollection getProjectManagementCollection(String oql) throws BOSException
    {
        try {
            return getController().getProjectManagementCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ProjectManagementInfo getProjectManagementInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getProjectManagementInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ProjectManagementInfo getProjectManagementInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getProjectManagementInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ProjectManagementInfo getProjectManagementInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getProjectManagementInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}